Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.marshall
Class LegacyTreeCacheMarshaller

    java.lang.Object
      org.jboss.cache.marshall.Marshaller
          org.jboss.cache.marshall.LegacyTreeCacheMarshaller

    public class LegacyTreeCacheMarshaller

extends Marshaller

Marshaller implementation that does aplication specific marshalling in the JGroups `RpcDispatcher` level. Application that runs on specific class loader will only need to register beforehand with TreeCache the class loader needed under the specific `fqn` region. Note again that this marshalling policy is region based. Anything that falls under that region will use the registered class loader. We also handle the region conflict during registeration time as well. For `fqn` that does not belong to any region, the default (system) class loader will be used.

Heavily refactored by Manik Surtani to reflect that this is a legacy marshaller used for (occasional) region-based marshalling for the JBC 1.2.x and 1.3.x series only.

Version:
  $Id: LegacyTreeCacheMarshaller.java,v 1.5.2.1 2006/07/07 07:20:02 bstansberry Exp $
Author:
  Ben Wang, Manik Surtani

Field Summary

Fields inherited from class org.jboss.cache.marshall.Marshaller
`defaultInactive, regionManager, useRegionBasedMarshalling`

Constructor Summary
`LegacyTreeCacheMarshaller()`
`LegacyTreeCacheMarshaller(RegionManager manager, boolean defaultInactive, boolean useRegionBasedMarshalling)`

Method Summary
`RegionManager` | `getManager()`
`boolean` | `isDefaultInactive()`
`java.lang.Object` | `objectFromStream(java.io.ObjectInputStream in)` Implementation classes will need to parse the given stream and create an object from it.
`void` | `objectToStream(java.lang.Object o, java.io.ObjectOutputStream out)` Legacy implementation of writing an object to a stream
`void` | `setDefaultInactive(boolean defaultInactive)`
`void` | `setManager(RegionManager manager)`

Methods inherited from class org.jboss.cache.marshall.Marshaller
`activate, extractFqn, extractFqnFromListOfMethodCall, extractFqnFromMethodCall, getClassLoader, getRegion, inactivate, init, isInactive, registerClassLoader, unregisterClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyTreeCacheMarshaller

    public LegacyTreeCacheMarshaller()

### LegacyTreeCacheMarshaller

    public LegacyTreeCacheMarshaller(RegionManager manager,
                                     boolean defaultInactive,
                                     boolean useRegionBasedMarshalling)

Method Detail

### getManager

    public RegionManager getManager()

### setManager

    public void setManager(RegionManager manager)

### isDefaultInactive

    public boolean isDefaultInactive()

### setDefaultInactive

    public void setDefaultInactive(boolean defaultInactive)

### objectToStream

    public void objectToStream(java.lang.Object o,
                               java.io.ObjectOutputStream out)
                        throws java.lang.Exception

  Legacy implementation of writing an object to a stream

  Specified by:
    `objectToStream` in class `Marshaller`
  Parameters:
    `o` -
    `out` -
  Throws:
    `java.lang.Exception`

### objectFromStream

    public java.lang.Object objectFromStream(java.io.ObjectInputStream in)
                                      throws java.lang.Exception

  Description copied from class: `Marshaller`
  Implementation classes will need to parse the given stream and create an object from it.

  Specified by:
    `objectFromStream` in class `Marshaller`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.